#
# spec file for package isax (Version 1.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp perl xdevel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel

Name:         isax
Summary:      Improved SuSE advanced XF86-configuration
Version:      1.3
Release:      202
Group:        X11/Utilities
Requires:	sax2
Copyright:    GPL
Source:       isax.tar.gz
Patch:        isax.dif
Patch1:       isax.sparc.dif

%description
ISaX is a program to create XFree86 3.3.x configurations according to
a description file. At the time ISaX is mainly used within YaST2

Authors:
--------
    Marcus Schfer <ms@suse.de>

SuSE series: x

%prep
%setup -n isax 
%patch
%ifarch sparc sparc64
%patch1
%endif

%build
make 

%install
make install
#================
# make doc links
#----------------
( rm -f /usr/X11R6/bin/isax && cd /usr/X11R6/bin && ln -s ISaX isax )
# copy doc file to default dir
# -----------------------------
if [ ! -d %{_defaultdocdir}/isax ];then
 rm -f %{_defaultdocdir}/isax
 mkdir %{_defaultdocdir}/isax
fi
cp /usr/doc/packages/isax/rc.sax  %{_defaultdocdir}/isax/rc.sax

%files
%dir /usr/X11R6/bin
/usr/X11R6/bin/ISaX
/usr/X11R6/bin/isax
/usr/X11R6/bin/SetMode
/usr/X11R6/bin/SecureMode
%doc %{_defaultdocdir}/isax/rc.sax

%changelog -n isax
* Thu Sep 06 2001 - kkaempf@suse.de
- added "Requires: sax2" (#10201)
- changed group from "Application" to "Utilities".
* Fri Jun 22 2001 - ro@suse.de
- specify output file for perlcc
* Wed May 16 2001 - ms@suse.de
- add japanese FontPath entries
* Wed May 09 2001 - ms@suse.de
- fixed Option behaviour. Do not trim strings if
  option requires tabs and spaces
* Fri May 04 2001 - ms@suse.de
- removed .../fonts/misc FontPath entry
* Wed May 02 2001 - ms@suse.de
- fixed MOUSEOPT handling
* Thu Feb 22 2001 - kukuk@suse.de
- Fix last patch for SPARC
* Mon Feb 05 2001 - kukuk@suse.de
- Revert change form 26. Oct 2000 on SPARC, instead set XkbLayout
  correct
* Wed Jan 24 2001 - kukuk@suse.de
- Fix group tag to X11/Applications
* Tue Jan 23 2001 - ms@suse.de
- removed /usr/X11R6/lib/X11/fonts/truetype Font Path
* Wed Jan 17 2001 - ms@suse.de
- add Emulate3Buttons feature -> EMU3BTN
- do not write XKBLayout it is defined in SYMBOLS
* Thu Oct 26 2000 - kukuk@suse.de
- Use XkbSymbols and fix XkbLayout=us
* Mon Sep 11 2000 - ms@suse.de
- fixed perl compiler call ( perl version 5.6 )
* Thu Jul 27 2000 - ms@suse.de
- add kukuk@suse.de patch for isax:
  new keywords:  GEOMETRY  and  XKBMODEL  used within YaST2
  inst_xf86config.ycp was fixed from tom@suse.de to work with
  this isax
* Wed Jul 19 2000 - ms@suse.de
- fixed unexpected EOF while looking for matching `"' bug
- add patch from kendy@suse.de ( grp:shift_toggle )
* Tue Jul 04 2000 - ms@suse.de
- fixed doc path
* Mon Jun 26 2000 - ms@suse.de
- fixed FontPath order
- fixed spec file
* Fri Jun 16 2000 - ms@suse.de
- add licence agreement (GPL)
* Fri May 19 2000 - ms@suse.de
- fixed securemode and getmode includes
- fixed spec file
* Mon Mar 20 2000 - ms@suse.de
- fixed locales: if /(.*)_(.*)/ use first
  two characters
- fixed cs_CZ FontPath entry
* Fri Feb 04 2000 - ms@suse.de
- add CARDOPTS  -> set device section options
- add LOAD      -> load module section parameters
- change rc.sax
- fixed typos
* Wed Nov 10 1999 - ms@suse.de
- if no mouse is used isax enable Auto -> /dev/mouse mode
* Wed Nov 03 1999 - ms@suse.de
- fixed hsync iteration
* Mon Oct 25 1999 - ms@suse.de
- add support for framebuffer and VGA16 server
- add support for 3D acceleration
* Sun Oct 24 1999 - ms@suse.de
- fixed spec file
* Sun Oct 24 1999 - ms@suse.de
- fixed wrong section interpretation
  ( Monitor Identifier and sync ranges failed )
* Wed Oct 13 1999 - ms@suse.de
- changes to config file ( RESOLUTION )
- recalculate hsync frequency from DDC string vsync identifier
* Mon Oct 04 1999 - ms@suse.de
- changed videoram setting... there is no need to set the value
  anymore
- fixed RamDAC setting to prevent autoprobe. If MAXDAC is
  not set the lines are calculated within 80-300 Mhz
- added VRANGE variable to set a list of refresh rates to
  use
* Thu Sep 02 1999 - ms@suse.de
- YaST2 module ISaX, to execute within an execl
  or system (shell) call
